package com.upyuns.platform.rs.website.controller.web;

import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.upyuns.platform.rs.website.biz.CustomFormBiz;
import com.upyuns.platform.rs.website.entity.CustomForm;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("customForm/web")
public class CustomFormWebController extends BaseController<CustomFormBiz,CustomForm> {

    @RequestMapping(value = "customIndustry",method = RequestMethod.POST)
    public ObjectRestResponse customIndustry(@RequestBody CustomForm entity) {
        baseBiz.insertSelective(entity);
        return ObjectRestResponse.succ();
    }

    @RequestMapping(value = "customImgStorage",method = RequestMethod.POST)
    public ObjectRestResponse customImgStorage(@RequestBody CustomForm entity) {
        baseBiz.insertSelective(entity);
        return ObjectRestResponse.succ();
    }

    @RequestMapping(value = "customImageData",method = RequestMethod.POST)
    public ObjectRestResponse customImageData(@RequestBody CustomForm entity) {
        baseBiz.insertSelective(entity);
        return ObjectRestResponse.succ();
    }
}